Package org.eclipse.m2m.atl.adt.ui.preferences

# Class AtlPreview

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.AtlPreview

All Implemented Interfaces:
  `Observer`

public class AtlPreview extends Object implements Observer
The ATL Formatter previewer.

## Constructor Summary

Constructors
Constructor
Description
`AtlPreview(Map<String,String> workingValues, org.eclipse.swt.widgets.Composite parent)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.widgets.Control`
`getControl()`
`Map<String,String>`
`getWorkingValues()`
`boolean`
`isShowInvisible()`
`void`
`setText(String text)`
`void`
`setWorkingValues(Map<String,String> workingValues)`
`void`
`showInvisibleCharacters(boolean enable)`
`void`
`update(Observable o, Object arg)`
`void`
`updateEditor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlPreview

public AtlPreview(Map<String,String> workingValues, org.eclipse.swt.widgets.Composite parent)

## Method Details

### setText

public void setText(String text)

### updateEditor

public void updateEditor()

### getControl

public org.eclipse.swt.widgets.Control getControl()

### showInvisibleCharacters

public void showInvisibleCharacters(boolean enable)

### isShowInvisible

public boolean isShowInvisible()

### getWorkingValues

public Map<String,String> getWorkingValues()

### setWorkingValues

public void setWorkingValues(Map<String,String> workingValues)

### update

public void update(Observable o, Object arg)

Specified by:
  `update` in interface `Observer`